Re: Surefire 3.0.0-M4 release?

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: Surefire 3.0.0-M4 release?

Romain Manni-Bucau
Not sure what you meant Tibor, just completed that relocation can need asm
upgrade in shade plugin - if we dont want users to do it in the pom which
is ok/needed if they use new java versions.

Le sam. 12 oct. 2019 à 20:24, Tibor Digana <[hidden email]> a
écrit :

> Relocation is useless. The ASM is changed because of the bytecode
> compatibility. We always had to upgrade plexus-java in the past; otherwise
> the users reported a bug directly or in the Stackoverflow.
>
> On Sat, Oct 12, 2019 at 1:45 PM Romain Manni-Bucau <[hidden email]>
> wrote:
>
> > Le sam. 12 oct. 2019 à 13:33, Robert Scholte <[hidden email]> a
> > écrit :
> >
> > > As far as I know, surefire won't touch the Plexus Java code that
> requires
> > > ASM.
> > > It is ONLY required when the runtime is Java 8 or lower AND you need to
> > > read the module descriptors.
> > >
> > > Maven Shade is a different case: it must parse the Java bytecode (and
> > > only
> > > when using minifyJar), hence it needs the latest ASM.
> > >
> >
> > + Relocation ;)
> >
> >
> > > Robert
> > >
> > > On Sat, 12 Oct 2019 11:35:05 +0200, Tibor Digana <
> [hidden email]
> > >
> > >
> > > wrote:
> > >
> > > > We still use plexus-java:1.0.3 which depends on ASM 7.0.
> > > > The support for JDk 13 and 14 is in the version 7.2.
> > > > We have similar upgrade in
> > > > https://github.com/apache/maven-shade-plugin/pull/29
> > > >
> > > > On Thu, Oct 10, 2019 at 2:53 AM Olivier Lamy <[hidden email]>
> wrote:
> > > >
> > > >> Hi,
> > > >> It's now almost 10 months since last and around 30 issues fixed.
> > > >> Maybe time for a new release?
> > > >> Moving issues still open to 3.0.0-M5?
> > > >>
> > > >> cheers
> > > >> --
> > > >> Olivier Lamy
> > > >> http://twitter.com/olamy | http://linkedin.com/in/olamy
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail: [hidden email]
> > > For additional commands, e-mail: [hidden email]
> > >
> > >
> >
>